## grendel.ui
Interface FolderPanelListener

public abstract interface FolderPanelListener

Interface for information about changes in the `FolderPanel`

Method Summary
`void` | `folderLoaded(javax.swing.event.ChangeEvent aEvent)` Called when a folder is done loading
`void` | `folderSelectionChanged(javax.swing.event.ChangeEvent aEvent)` Called when the selection changes.
`void` | `folderSelectionDoubleClicked(javax.swing.event.ChangeEvent aEvent)` Called when the user double clicks.
`void` | `folderStatus(StatusEvent aEvent)` Called for status text updates
`void` | `loadingFolder(javax.swing.event.ChangeEvent aEvent)` Called when a folder starts to load

Method Detail

### loadingFolder

    public void loadingFolder(javax.swing.event.ChangeEvent aEvent)

  Called when a folder starts to load

### folderLoaded

    public void folderLoaded(javax.swing.event.ChangeEvent aEvent)

  Called when a folder is done loading

### folderSelectionChanged

    public void folderSelectionChanged(javax.swing.event.ChangeEvent aEvent)

  Called when the selection changes.

### folderStatus

    public void folderStatus(StatusEvent aEvent)

  Called for status text updates

### folderSelectionDoubleClicked

    public void folderSelectionDoubleClicked(javax.swing.event.ChangeEvent aEvent)

  Called when the user double clicks.